% PLOT
%
% Files
%   plotarr       - plot the arrivals calculated by BELLHOP
%   plotarr3d        - plot the arrivals calculated by BELLHOP3D

%   plotati       - plot the altimetry file
%   plotbty       - plot the bathymetry file
%   plotbty2d     - plot the bathymetry from an xyzfile
%   plotbdry3d    - plot the boundary file

%   plotbrc       - plot the Bottom Reflection Coefficient file used by Bellhop

%   plotgrn       - plot the Green's function calculated by SCOOTER
%   plotmode      - plot the modes produced by KRAKEN
%   plotmovie     - plot a single TL surface in dB

%   plotray       - Plot the RAYfil produced by Bellhop or Bellhop3D
%   plotray3d     - Plot the RAYfil produced by Bellhop3D

%   plotshd       - plot a single TL surface in dB
%   plotshd2      - plot a series of snapshots of the acoustic field
%   plotshd_multi - Like plotshd.m, but works on 3D shade files. For example, if you
%   plotshdpol    - plot a TL surface in dB (polar coordinates)
%   plotsr        - Plot the source and receiver positions
%   plotssp       - plotssp.m
%   plotssp2d     - plotssp.m
%   plotstack     - plot a series of snapshots of the acoustic field
%   plottld       - plot a single TL slice from the shade file
%   plottl_zf     - plot TL from the shade file as a function of depth, z, and freq
%   plottlr       - plot a single TL slice from the shade file
%   plottrc       - plot the Top Reflection Coefficient file used by Bellhop
%   plottri       - plot the triangulation for a 3D KRAKEN run
%   plottriNew    - plot the triangulation for a 3D KRAKEN run
%   plotts        - plot a time series from the given file
%   plottsmat     - plot a time series from the given .mat file
%   plottsOld     - plot a time series from the given file
%   plotxy        - plot the rays associated with horizontally-refracted modes.


%   plot_modal_noise - plot_noise
%   plotray3dLatLon  - plot the RAYfil produced by Bellhop3D
%   plotshdLatLon    - plot a TL surface in dB (lat/long coordinates)
%   shd2kml          - convert a shd file to a single TL surface in dB, in kml format (for
%   shdpol2kml       - convert a shd file to a single TL surface in dB (polar coordinates),

%   newclim       - Convert slot number and range to percent of colormap
%   caxisrev      - sets the color axis limits and reverses the ticks
%   haxby         - Haxby color map
%   fixfig           - 
%   plotssp3d        - plotssp.m
